> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Resize bare metal GPU cluster

> Change the number of nodes in a GPU cluster.
The cluster can be scaled up or down.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cloud_api.yaml post /cloud/v1/ai/clusters/gpu/{project_id}/{region_id}/{cluster_id}/resize
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 61ff2793a80b
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
  - name: Container as a Service
  - name: Cost Reports
  - name: DDoS Protection
  - name: Everywhere Inference
  - name: Everywhere Inference Apps
  - name: File Shares
  - name: Floating IPs
  - name: Function as a Service
  - name: GPU Bare Metal
  - name: GPU Virtual
  - name: IP Ranges
  - name: Images
  - name: Instances
  - name: Load Balancers
  - name: Logging
  - name: Managed Kubernetes
  - name: Managed PostgreSQL
  - name: Networks
  - name: Placement Groups
  - name: Ports
  - name: Projects
  - name: Quotas
  - name: Regions
  - name: Registry
  - name: Reservations
  - name: Reserved IPs
  - name: Routers
  - name: SSH Keys
  - name: Secrets
  - name: Security Groups
  - name: Snapshot Schedules
  - name: Snapshots
  - name: Tasks
  - name: User Actions
  - name: User Role Assignments
  - name: Volumes
paths:
  /cloud/v1/ai/clusters/gpu/{project_id}/{region_id}/{cluster_id}/resize:
    post:
      tags:
        - GPU Bare Metal
      summary: Resize bare metal GPU cluster
      description: |-
        Change the number of nodes in a GPU cluster.
        The cluster can be scaled up or down.
      operationId: AIClustersGPUResizeHandler.post
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            type: integer
        - in: path
          name: cluster_id
          required: true
          description: Cluster ID
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResizeAIClusterGPUSerializerV1'
      responses:
        '200':
          description: created tasks for cluster resizing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskIDsSerializer'
        '400':
          description: Invalid parameter in request
        '404':
          description: Mandatory resource was not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundErrorSchema'
components:
  schemas:
    ResizeAIClusterGPUSerializerV1:
      properties:
        instances_count:
          description: Resized (total) number of instances
          minimum: 1
          title: Instances Count
          type: integer
      required:
        - instances_count
      title: ResizeAIClusterGPUSerializerV1
      type: object
    TaskIDsSerializer:
      properties:
        tasks:
          description: >-
            List of task IDs representing asynchronous operations. Use these IDs
            to monitor operation progress:

            - `GET /v1/tasks/{task_id}` - Check individual task status and
            details

            Poll task status until completion (`FINISHED`/`ERROR`) before
            proceeding with dependent operations.
          example:
            - d478ae29-dedc-4869-82f0-96104425f565
          examples:
            - - d478ae29-dedc-4869-82f0-96104425f565
          items:
            type: string
          title: Tasks
          type: array
      required:
        - tasks
      title: TaskIDsSerializer
      type: object
    NotFoundErrorSchema:
      type: object
      description: Resource was not found
      properties:
        exception_class:
          type: string
          description: NotFoundError
        message:
          type: string
          description: Description what was not found
        request_id:
          type: string
          description: Request ID, if logging is not in debug mode
      example:
        exception_class: NotFoundError
        message: keypair not found
        request_id: 4e3e63f3-4f2a-4720-bf18-2a1986531b87
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````